function init(varargin)
% FUNCTION fc_vfemp1.init()
%   Initializes the toolbox/package .
%
% <COPYRIGHT>
  p = inputParser;
  p.addParamValue('verbose',0,@isscalar);
  p.parse(varargin{:});
  R=p.Results;
  env=fc_vfemp1.environment();
  if isdir(env.simesh_dir), addpath(env.simesh_dir);end
  try
    fc_simesh.init(varargin{:})
  catch ME
    fprintf('[fc-vfemp1] Unable to load the fc-simesh toolbox!\n')
    fprintf('[fc-vfemp1] Use fc_vfemp1.configure(''simesh_dir'',''<PATH>'') to correct this issue\n')
    rethrow(ME)
  end
  
  if p.Results.verbose>0
    fprintf('Using fc-vfemp1 toolbox [%s]:\n',fc_vfemp1.version());
  end
end  